<?php
date_default_timezone_set('America/Costa_Rica');

session_start();

 $usu=$_SESSION['username'];
 

		include('../conexion.php'); 
		if($_SESSION['tipo_usu']=='a' or $_SESSION['tipo_usu']=='s'  or $_SESSION['tipo_usu']=='c'  or $_SESSION['tipo_usu']=='v'){
		}else{
		header('location:acceso_denegado.php');
		}



$consulta = "SELECT * FROM usuarios WHERE usu='$usu'";
$resultado = $mysqli->query($consulta);
$row = $resultado->fetch_array();
$cod = $row["codusu"];

		
$accion=$_POST["accion"];
if (!isset($accion)) { $accion=$_GET["accion"]; }


$cdgcli  = 9999;
$dsccli  = $_POST["dsccli"];
$tipmov  = $_POST["tipmov"];
$dsccli  = strtoupper($_POST["dsccli"]);
$fecfac  = $_POST["fecfac"];
$fecfac  = implode("-", array_reverse(explode("-", $fecfac))); 
$detmov  = $_POST["detmov"];
$numfac  = $_POST["numdoc"];
$total   = $_POST["total"];
$total   = str_replace (",","",$total);


$cdgusu=$cod;
$cdgven=$cod;



	
	//************************************************ Insert 2101 CxC y proveedores  saldo actual*******************************
	if ($accion=="alta") {		


      	$query_operacion2="INSERT INTO movimientos_caja ( codmov, fecha,  codigo, nombre, total,  borrado, tipmov, numdoc, cdgcaj, detmov ) VALUES ( '', '$fecfac', '$cdgcli', '$dsccli', '$total','0','$tipmov' ,'$numfac', '$cdgusu' , '$detmov')";	
		$mysqli->query($query_operacion2);
		$codmov= $mysqli-> insert_id ;
	
	
		} 


?>	
	<html>
	<head>
		<title>Factura Nula</title>
		<link href="../estilos/estilos.css" type="text/css" rel="stylesheet">
		<link href="../calendario/calendar-blue.css" rel="stylesheet" type="text/css">
		<script type="text/javascript" src="../funciones/validar.js"></script>
		<script type="text/JavaScript" language="javascript" src="../calendario/calendar.js"></script>
		<script type="text/JavaScript" language="javascript" src="../calendario/lang/calendar-sp.js"></script>
		<script type="text/JavaScript" language="javascript" src="../calendario/calendar-setup.js"></script>
		<script language="javascript">
		var cursor;
		if (document.all) {
		// Está utilizando EXPLORER
		cursor='hand';
		} else {
		// Está utilizando MOZILLA/NETSCAPE
		cursor='pointer';
		}
		
	
	    function cancelar() {
			location.href="index.php";
		}
		
				function nobackbutton(){	
   window.location.hash="no-back-button";	
   window.location.hash="Again-No-back-button" //chrome	
   window.onhashchange=function(){window.location.hash="no-back-button";}	
}



		function imprimir(codmov) {

		window.open("../fpdf/imprimir_mov_PUNTO_VENTA.php?codmov="+codmov);
		}

		</script>

		</script>



</head>
	<body onLoad="nobackbutton();">
		<div id="">
			<div id="zonaContenido">
         	<div class="contenidoFactura">
			   <div align="center">
				<div id="tituloForm" class="header">
               Operacion completada satisfactoriamente
			   </div>
			    <br> </br>
				<table width="100%" border="0">
  <tr>
    <td colspan="4">&nbsp;</td>
    </tr>
</table>

				
			    
			  </div>
				<div id="botonBusquedaAWR">					
				
				<div id="" align="center">
					<img src="../img/Symbol-Check_128x128-32.png" width="128" height="128" onClick="cancelar()" border="0" onMouseOver="style.cursor=cursor" title="Salir">
			
			  </div>
				    
			   </div>
			  </div>
		  </div>
		</div>
	</body>
</html>




<?php 
		
	
echo "<script>";
echo "imprimir($codmov);";
echo "</script>";	



?>
					
					